Foreman - Bug #19424

VMware provisioning displays all IP address
04/28/2017 07:09 AM - Marek Hulan

Status: New

Priority: Normal

Assignee: Timo Goebel

Category: Compute resources - VMware

Target version:

Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:  1.18.0-RC3
Bugzilla link: 1426592 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3559
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1426592

Description of problem:

When doing provisioning using vmware, after selecting the cluster it shows all the ip addresses which are on vsphere.

How reproducible:
Whenever doing provisioning using VMware as deployment machine.

Steps to Reproduce:

Go to new host, start the provisioning, select the deploy on Vmware and then select Vmware cluster, in interface tab it shows all the

IP address.

Actual results:

It should display network which are part of selected cluster
Expected results:

Displaying networks from all cluster which are in Vsphere environment.

Additional info:

Related issues:

Related to Foreman - Feature #15115: Filter datastore and network selection Duplicate 05/20/2016
Related to Foreman - Feature #2113: Better VMWare Datastore Ul Closed
History

#1 - 04/28/2017 07:10 AM - Marek Hulan

- Subject changed from VMware provisioning displays all IP address
to VMware provisioning displays all IP address

- Target version set to 115

#2 - 05/16/2017 05:54 AM - Angelo Lisco

- Related to Feature #15115: Filter datastore and network selection added

#3 - 05/16/2017 05:54 AM - Angelo Lisco
- Related to Feature #2113: Better VMWare Datastore Ul added

#4 - 05/16/2017 06:00 AM - Angelo Lisco
- Pull request https://github.com/theforeman/foreman/pull/3559 added
Timo Goebel was working on a patch to filter networks and datastores depending on the cluster selection.

| also wish this could be fixed in 1.16 GA since the actual behavior (no filtering at all) it's very frustrating when you have multiple clusters and each
one has different datastores and networks.

Marek Hulan wrote:

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1426592

Description of problem:

When doing provisioning using vmware, after selecting the cluster it shows all the ip addresses which are on vsphere.

How reproducible:

Whenever doing provisioning using VMware as deployment machine.

Steps to Reproduce:

Go to new host, start the provisioning, select the deploy on Vmware and then select Vmware cluster, in interface tab it shows all the IP address.
Actual results:

It should display network which are part of selected cluster

Expected results:

Displaying networks from all cluster which are in Vsphere environment.

Additional info:

#5 - 05/16/2017 06:06 AM - Dominic Cleal
- Pull request deleted (https://github.com/theforeman/foreman/pull/3559)

#6 - 08/23/2017 05:16 PM - Angelo Lisco

| can't understand why Dominic unlinked the PR 3559 from this bug report. Yes, the PR is not complete yet but | think it's a great start for everyone
who wants to work on this important feature.

Angelo Lisco wrote:
Timo Goebel was working on a patch to filter networks and datastores depending on the cluster selection.
| also wish this could be fixed in 1.16 GA since the actual behavior (no filtering at all) it's very frustrating when you have multiple clusters and
each one has different datastores and networks.

Marek Hulan wrote:

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1426592

Description of problem:

When doing provisioning using vmware, after selecting the cluster it shows all the ip addresses which are on vsphere.
How reproducible:

Whenever doing provisioning using VMware as deployment machine.

Steps to Reproduce:

Go to new host, start the provisioning, select the deploy on Vmware and then select Vmware cluster, in interface tab it shows all the IP
address.

Actual results:
It should display network which are part of selected cluster
Expected results:

Displaying networks from all cluster which are in Vsphere environment.

Additional info:

#7 - 10/19/2017 06:16 AM - Marek Hulan

05/19/2024 2/3


https://bugzilla.redhat.com/show_bug.cgi?id=1426592
https://bugzilla.redhat.com/show_bug.cgi?id=1426592

- Pull request https://github.com/theforeman/foreman/pull/3559 added

| don't see the reason either, reverting. The PR is currently inactive but still open and relevant.

#8 - 07/18/2018 04:32 PM - Chris Roberts
- Assignee set to Timo Goebel
- Difficulty set to medium

- Triaged set to No

#9 - 07/18/2018 06:03 PM - Chris Roberts
- Triaged changed from No to Yes

- Found in Releases 1.18.0-RC3 added
